Devices
Esta página no está disponible en español. Se muestra la versión en inglés.
Get a list of devices
Use this method to obtain a list of devices from which a client was signed in to the Trader's Room.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
limit?integer
Sets the limit
Range
1 <= value <= 1000Default
10offset?integer
Sets the offset
Range
0 <= valueDefault
0sort_order?string
Sorts the items in ascending or descending order
Default
"desc"Value in
- "asc"
- "desc"
sort_by?unknown
Sorts the items by a specified value
Default
"lastSignIn"Header Parameters
accept-language?string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/my/devices?limit=10&offset=0&sort_order=desc" \ -H "accept-language: ja"{ "total": 1, "data": [ { "id": 1, "fingerprint": { "platform": "macIntel", "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_6) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/11.1.2 Safari/605.1.15", "webTimezone": "Europe/Moscow" }, "ipAddress": "127.0.0.1", "isCurrentDevice": true, "lastSignIn": "2022-01-01T00:00:00+00:00", "createTime": "2022-01-01T00:00:00+00:00" } ]}{ "error": { "message": "Unauthorized" }}{ "error": { "message": "Not Found" }}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Service Unavailable" }}